#!/usr/bin/env python3
# Minimal test of downloading upper air soundings from the University of Wyoming.
# To install siphon package just do "pip install siphon".

from datetime import datetime
import numpy as np
from siphon.simplewebservice.wyoming import WyomingUpperAir

# Starting 2/1/1990 at 0000 UTC (1/1/1990 non-existent in BARRA forecast data).
start_dt = datetime(1990,2,1)
print(start_dt)

#Attempting download of data on 2/1/1990 (dd/mm/yyyy) from University of Wyoming, at Charleville. 
#This data does exist and successfully downloads in the command line, without PBS.
df = WyomingUpperAir.request_data(start_dt,'94510')
print(df['temperature'])
